<?php

// Créditos a descontar a los usos del localizador
// Compruebo si es horario de horas valle en cuyo caso
// en las pistas de 1 hora se descuenta 1 crédito y las
// de 90 minutos dos créditos

if ($modulo == 'compra' || $modulo == 'reserva' || $modulo == 'anular') {
    $sql_creditos_valle = "SELECT fecha, hora_inicio, hora_fin, nombre
						   FROM sala_horarios sh JOIN sala_horario_servicios ss ON sh.id = ss.sala_horario_id
						   JOIN servicios s ON ss.servicio_id = s.id
						   AND ss.sala_horario_id = " . $sala_horario_id . "
						   AND s.sala_id IS NOT NULL
						   AND s.id =" . $servicio;
}

$result_creditos_valle = $conexion->query($sql_creditos_valle);

if ($result_creditos_valle->rowCount() > 0) {
    $creditos_valle = $result_creditos_valle->fetch();
}

// Es hora valle
if ($creditos_valle['hora_inicio'] >= '13:00:00' && $creditos_valle['hora_fin'] <= '16:00:00') {
    // Compruebo si es fin de semana, en cuyo caso no hay horas valle
    $i          = strtotime($creditos_valle['fecha']);
    $dia_semana = jddayofweek(cal_to_jd(CAL_GREGORIAN, date("m", $i), date("d", $i), date("Y", $i)), 0);

    if ($dia_semana != 6 && $dia_semana != 0) {
        if ((strpos($creditos_valle['nombre'], 'Pádel 1') !== false) || (strpos($creditos_valle['nombre'], 'Pádel 4') !== false)) {
            $creditos = 2;
        } else {
            $creditos = 1;
        }
    } else {
        $creditos = $row_creditos['creditos'];
    }
}
// Créditos de la pista, no es hora valle
else {
    $creditos = $row_creditos['creditos'];
}
